package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.core.domain.BaseEntityMini;
import com.ruoyi.common.core.domain.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@TableName("business_trip_approval")
@ApiModel("出差审批单")
public class BusinessTripApproval extends BaseEntityMini {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("申请编号")
    private String applyNo;

    @ApiModelProperty("出差人id")
    private Long userId;

    @ApiModelProperty("部门")
    private String department;

    @ApiModelProperty("出差事由")
    private String reason;

    @ApiModelProperty("同行人员id")
    private String togUserIds;

    @ApiModelProperty("出差人姓名")
    private String userName;

    @ApiModelProperty("出差目的地")
    private Integer destinationId;
    @TableField(exist = false)
    private String destinationIdCn;

    @ApiModelProperty("出差开始日期")
    private Long startDate;
    @TableField(exist = false)
    private String startDateCn;

    @ApiModelProperty("出差结束日期")
    private Long endDate;
    @TableField(exist = false)
    private String endDateCn;

    @ApiModelProperty("交通工具")
    private Integer transportId;
    @TableField(exist = false)
    private String transportIdCn;

    @ApiModelProperty("是否自带公务车辆")
    private Integer hasOffcialCar;
    @TableField(exist = false)
    private String hasOffcialCarCn;

    @ApiModelProperty("车型")
    private Integer carModel;
    @TableField(exist = false)
    private String carModelCn;

    @ApiModelProperty("用车方式")
    private Integer useCarType;
    @TableField(exist = false)
    private String useCarTypeCn;

    @ApiModelProperty("座位数")
    private Integer seats;


    @TableField(exist = false)
    private List<Long> togUserIdList;


    @ApiModelProperty("关联用uuid")
    private String uuid;

    @ApiModelProperty("审批流程 0-未审批 1-部门审批通过 2-部门审批不通过 3-警务保障部门审批通过 4-警务保障部门审批不通过 5-局领导审批通过 6-局领导审批不通过")
    @TableField(condition = SqlCondition.EQUAL)
    private Integer state;


    @ApiModelProperty("是否紧急")
    private Integer isPressing;
    @TableField(exist = false)
    private String isPressingCn;

    @TableField(exist = false)
    private List<SysUser> togUserList;

}